-- Stored procedure  
-- ===========================================================================  
-- Author:  Emanuele atzeri  
-- Create date: 28/06/2011  
-- Description: Setta a stato 23 i report con profilo MIFID scaduto e RFA a 0  
-- ===========================================================================  
CREATE procedure [C6MartPeriodico].[CHECK_PROFILOSCADUTO_RFAZERO]  
AS  
BEGIN  
UPDATE   
 C6MARTPERIODICO.CONTROLLO_TRIMESTRALE   
SET  
 STATO_REPORT = 23,  
 DATA_TRANSIZIONE = GETDATE()  
WHERE RETE+COD_FISCALE IN  
(  
 select a.rete+a.cod_fiscale from C6MartPeriodico.CONTROLLO_TRIMESTRALE_RFA_ZERO a  
 inner join C6MartPeriodico.CONTROLLO_TRIMESTRALE_PROFILO_SCADUTO b  
 on a.rete = b.rete  
 and a.cod_fiscale = b.cod_fiscale  
)  
END